/**
 * Copyright (C) 2012-2016  Dušan Vejnovič  <vaadin@dussan.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.dussan.vaadin.dtable.config;

import java.io.Serializable;

public class DataElement
    implements Serializable
{

    private static final long serialVersionUID = -4047150684016737145L;

    public static final String ALL_ROWS = "allRows";

    public static final String ALL_ROWS_VISIBLE = ALL_ROWS + "Visible";

    public static final String BODY_ROW_HEIGHT = "bodyRowHeight";

    public static final String COLUMNS_ACTION = "columnsAction";

    public static final String COLUMNS_HEADER = "columnsHeader";

    public static final String DATA_ERROR = "dataError";

    public static final String EMPTY_DATA = "emptyData";

    public static final String EMPTY_QUICK_SEARCH = "emptyQuickSearch";

    public static final String EMPTY_SEARCH = "emptySearch";

    public static final String EXPORT = "export";

    public static final String FILTER_HTML = "filterHtml";

    public static final String FREEZE = "freeze";

    public static final String HEADERS_TOOLTIP = "headersTooltip";

    public static final String HIDE_COLUMN = "hideColumn";

    public static final String LEFT = "left";

    public static final String NEW_DATA = "newData";

    public static final String NEW_FILTER = "newFilter";

    public static final String NO_DATA = "noData";

    public static final String NONE = "none";

    public static final String ORDER = "order";

    public static final String QUICK_SEARCH = "quickSearch";

    public static final String PAGE_REFRESH = "pageRefresh";

    public static final String PAGE_RELOAD = "pageReload";

    public static final String PAGE_SIZE = "pageSize";

    public static final String REFRESH_VISIBLE_DATA = "refreshVisibleData";

    public static final String REFRESH_VISIBLE_DATA_CAUSE = REFRESH_VISIBLE_DATA + "Cause";

    public static final String REMOVE_FILTER = "removeFilter";

    public static final String SCROLL_LEFT = "scrollLeft";

    public static final String SCROLL_TOP = "scrollTop";

    public static final String SEARCH = "search";

    public static final String SEARCH_ERROR = "searchError";

    public static final String TOP = "top";

    public static final String TRANSMISSION_ERROR = "transmissionError";

    public static final String VISIBLE_COLUMNS = "visibleColumns";

    public static final String VISIBLE_HEADER_COLUMNS = "visibleHeaderColumns";

    public static final String WIDTH = "width";

    private DataElement()
    {
        // Auto-generated constructor stub
    }

}
