/**
 * Copyright (C) 2012-2016  Dušan Vejnovič  <vaadin@dussan.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.dussan.vaadin.dtable.properties.search;

import java.io.Serializable;

public class Search
    implements Serializable
{

    private static final long serialVersionUID = 5065356033037882036L;

    private Integer column = null;

    private String header = null;

    private String operator = null;

    private String value = null;

    private String originalValue = null;

    private String localeOriginalValue = null;

    public Search( int column, String header, String operator, String value, String originalValue,
                   String localeOriginalValue )
    {
        this.column = column;
        this.header = header;
        this.operator = operator;
        this.value = value;
        this.originalValue = originalValue;
        this.localeOriginalValue = localeOriginalValue;
    }

    public Integer getColumn()
    {
        return column;
    }

    public void setColumn( Integer column )
    {
        this.column = column;
    }

    public String getHeader()
    {
        return header;
    }

    public void setHeader( String header )
    {
        this.header = header;
    }

    public String getOperator()
    {
        return operator;
    }

    public void setOperator( String operator )
    {
        this.operator = operator;
    }

    public String getValue()
    {
        return value;
    }

    public void setValue( String value )
    {
        this.value = value;
    }

    public String getOriginalValue()
    {
        return originalValue;
    }

    public void setOriginalValue( String originalValue )
    {
        this.originalValue = originalValue;
    }

    public String getLocaleOriginalValue()
    {
        return localeOriginalValue;
    }

    public void setLocaleOriginalValue( String localeOriginalValue )
    {
        this.localeOriginalValue = localeOriginalValue;
    }

}
